using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Dto;

public class CRMAttachedResponseDTO
{
    [JsonPropertyName("fileName")]
    public string FileName { get; set; }

    [JsonPropertyName("description")]
    public string? Description { get; set; }

    [JsonPropertyName("dateAttached")]
    public DateTime DateAttached { get; set; }

    [JsonPropertyName("fileSize")]
    public decimal FileSize { get; set; }

    [JsonPropertyName("refUuid")]
    public string RefUuid { get; set; }

    [JsonPropertyName("refAttached")]
    public string RefAttached { get; set; }

    [JsonPropertyName("activity")]
    public bool IsActivity { get; set; }
}